Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class SingleKeyHashMap

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.SingleKeyHashMap

    public class SingleKeyHashMap
    extends ComplexKeyHashMap

Nested Class Summary
`interface` | `SingleKeyHashMap.Copier`
`static class` | `SingleKeyHashMap.Entry`

Field Summary

Fields inherited from class ComplexKeyHashMap
DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold

Method Summary
`def` | `SingleKeyHashMap()`
`def` | `SingleKeyHashMap(boolean b)`
`boolean` | `containsKey(String name)`
`static SingleKeyHashMap` | `copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)`
`Object` | `get(Object key)`
`SingleKeyHashMap.Entry` | `getOrPut(Object key)`
`SingleKeyHashMap.Entry` | `getOrPutEntry(SingleKeyHashMap.Entry element)`
`void` | `put(Object key, Object value)`
`SingleKeyHashMap.Entry` | `putCopyOfUnexisting(SingleKeyHashMap.Entry ee)`
`def` | `remove(Object key)`

Methods inherited from class ComplexKeyHashMap
ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### SingleKeyHashMap

    public def SingleKeyHashMap()

### SingleKeyHashMap

    public def SingleKeyHashMap(boolean b)

### containsKey

    public boolean containsKey(String name)

### copy

    public static SingleKeyHashMap copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)

### get

    public final Object get(Object key)

### getOrPut

    public SingleKeyHashMap.Entry getOrPut(Object key)

### getOrPutEntry

    public SingleKeyHashMap.Entry getOrPutEntry(SingleKeyHashMap.Entry element)

### put

    public void put(Object key, Object value)

### putCopyOfUnexisting

    public SingleKeyHashMap.Entry putCopyOfUnexisting(SingleKeyHashMap.Entry ee)

### remove

    public final def remove(Object key)

Copyright © 2003-2010 The Codehaus. All rights reserved.